@charset "utf-8";

/*

************************************************************************

 投稿リスト

************************************************************************

*/
.post-list
{
    display: flex;
    align-items: stretch;
}
.post-list > .articles
{
    flex:0 0 calc(100% - 20em);
}
.post-list > .side-navi
{
    flex:0 0 calc(20em - 2em);
    margin-left:2em;
}
.article-list
{
    margin-bottom:1em;
}
.article-item
{
    display: flex;
    align-items: stretch;
    flex-wrap: wrap;
    margin-bottom:1em;
    padding:0.5em;

    border: 1px solid var(--body-border-color);
    border-radius: var(--border-radius);
}
.article-item:hover
{
    box-shadow: 5px 5px 5px 0px #00000027;
}
.article-item:last-child
{
    margin-bottom:0em;
}
.article-item .thumbnail
{
    flex:0 1 10em;
    margin:0.5em;
}
.article-item .info
{
    flex:0 1 calc(100% - 12em);
    margin:0.5em;
}
.article-item .info .title{
    font-size: 1.2em;
    font-weight: bold;
}
.article-item .info .description
{
    font-size: 0.8em;
    color:var(--body-font-color-light);
}
.article-item .info .props
{
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    
    font-size: 0.8em;
    color:var(--body-font-color-light);
    margin:-0.25em;
    margin-top:0.5em;
}
.article-item .info .props > *
{
    margin:0.25em;
}

.pagination
{
	display: flex;
	justify-content: center;
	align-items: center;
	align-content: center;
}
.pagination > a
{
	display: inline-flex;
	justify-content: center;
	align-items: center;
	align-content: center;
	
	line-height: 1px;
	margin:0.5em;
	font-size: 1.2em;
}
.pagination > a.active
{
	font-weight:bold;
	color:var(--body-icon-color);
}

.article-info > .title
{
    display: flex;
    align-items: stretch;
    flex-wrap: wrap;
    margin-bottom:3em;
    padding:1.0em;

    border: 1px solid var(--body-border-color);
    border-radius: var(--border-radius);
}
.article-info > .title .main
{
    font-size: 1.2em;
    font-weight: bold;

    flex:0 0 100%;
    margin:0.5em;
}
.article-info > .title .description
{
    flex:0 0 100%;
    margin:0.5em;
    font-size: 0.8em;
    color:var(--body-font-color-light);
}
.article-info > .title .props
{
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    
    font-size: 0.8em;
    color:var(--body-font-color-light);
    margin:-0.25em;
    margin-top:0.5em;
}
.article-info > .title .props > *
{
    margin:0.25em;
}
.article-info > .body > .post-body-title
{
    margin-bottom: 1.0em;
}
.article-info > .body > .post-body-title > .main
{
    font-size:1.4em;
    font-weight:bold;
}
.article-info > .body > .postBody
{
    margin: 1.0em 0;
}
.article-info > .body > .post-body-image
{
    margin: 2.0em 0;
}
.article-info > .body > .post-body-link
{
    margin: 2.0em 0;
}
.article-info > .body > .post-body-banner
{
    margin: 2.0em 0;
}
.article-info > .body > .post-body-html
{
    margin: 2.0em 0;
}
.article-info > .ope
{
    display: flex;
    align-items: center;
    margin-top:2em;
}
.article-info > .ope > .prev
{
    flex:0 1 30%;
    text-align: left;
}
.article-info > .ope > .next
{
    flex:0 1 30%;
    text-align: right;
}
.article-info > .ope > .list
{
    flex:1 0 40%;
    text-align: center;
}

@media screen and (max-width:640px) {
    .post-list
    {
        flex-wrap: wrap;
    }
        .post-list > .articles
    {
        flex:0 0 calc(100%);
    }
    .post-list > .side-navi
    {
        flex:0 0 calc(100%);
        margin-left:0em;
        margin-top:4em;
    }
}